<template>
    <div class="layout">
        <LayoutTop />
        <template v-if="isBottom">
            <div class="sliderLayout">
                <div class="shortLine"></div>
            </div>
            <LayoutBottom />
        </template>
    </div>
</template>
<script lang="ts">
import LayoutTop from './components/top.vue';
import LayoutBottom from './components/bottom.vue';
import { defineComponent, ref } from 'vue';
import { handleOrderData } from '@/common/setup/order/orderData';

// 控制下半部分是否显示
function submitBottomIsShow() {
    const isShowBottomPart = ref<boolean>(false);
    function chooseMenu(value: boolean) {
        isShowBottomPart.value = value;
    }
    return { isShowBottomPart, chooseMenu };
}

export default defineComponent({
    name: 'layout',
    components: {
        LayoutTop,
        LayoutBottom,
    },
    setup() {
        const { isBottom } = handleOrderData();
        return { isBottom };
    },
});
</script>
<style lang="less">
.layout {
    .flex;
    width: 100%;
    height: 100%;
    flex-direction: column;
    .sliderLayout {
        width: 100%;
        height: 4px;
        background: @m-black0;
        border-top: 1px solid @m-grey5;
        border-bottom: 1px solid @m-grey5;
        position: relative;
        .shortLine {
            width: 30px;
            height: 2px;
            background: @m-black20;
            border-radius: 1px;
            .position(absolute, 50%, auto, auto, 50%);
            transform: translate(-50%, -50%);
        }
    }
}
</style>
